package com.ruoyi.frequency.recommend.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.frequency.recommend.entity.Recommend;

import java.util.List;

/**
 * 推荐Service接口
 *
 * @author liwenlong
 * @date 2023-10-20
 */
public interface RecommendService extends IService<Recommend>
{
    /**
     * 查询推荐
     *
     * @param id 推荐主键
     * @return 推荐
     */
    public Recommend selectRecommendById(Long id);

    /**
     * 查询推荐列表
     *
     * @param recommend 推荐
     * @return 推荐集合
     */
    public List<Recommend> selectRecommendList(Recommend recommend);

    /**
     * 新增推荐
     *
     * @param recommend 推荐
     * @return 结果
     */
    public int insertRecommend(Recommend recommend);

    /**
     * 修改推荐
     *
     * @param recommend 推荐
     * @return 结果
     */
    public int updateRecommend(Recommend recommend);

    /**
     * 批量删除推荐
     *
     * @param ids 需要删除的推荐主键集合
     * @return 结果
     */
    public int deleteRecommendByIds(Long[] ids);

    /**
     * 删除推荐信息
     *
     * @param id 推荐主键
     * @return 结果
     */
    public int deleteRecommendById(Long id);

    /**
     * 置顶
     * @param type 1作品 2帖子
     * @param objectId
     */
    void topping(Integer type, Long objectId);
}
